=== debian/changelog ===
springlobby (0.201-1) unstable; urgency=medium

  * Imported Upstream version 0.201.
  * Declare compliance with Debian Policy 3.9.6.
  * Update to new canonical VCS URI.

 -- Markus Koschany <apo@gambaru.de>  Sat, 04 Oct 2014 13:58:04 +0200

springlobby (0.198-1) unstable; urgency=medium

  * Imported Upstream version 0.198.
  * springlobby binary: Tighten dependency on spring to >= 97.0.
  * Update debian/copyright for new release.

 -- Markus Koschany <apo@gambaru.de>  Sat, 06 Sep 2014 11:37:12 +0200
