## springlobby 0.210

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,14 +3,15 @@
 #set minimum cmake version
 cmake_minimum_required(VERSION 2.8)
 
-#ignore warnings about macosx app bundle output dir
-cmake_policy(SET CMP0006 OLD)
-#don't ouch (supposedly) relative paths passed to link_directories
-cmake_policy(SET CMP0015 OLD)
-
 SET(CMAKE_COLOR_MAKEFILE ON)
 SET(CROSS_COMPILING "FALSE")
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH} )
+
+if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang")
+	# workarround for include/c++/4.8/type_traits:268:39: error: use of undeclared identifier '__float128'
+	add_definitions("-D__STRICT_ANSI__")
+endif()
+
 
 #----------------------------------------------------------------------------------------------------
 # General Settings
@@ -35,18 +36,16 @@
 #----------------------------------------------------------------------------------------------------
 # Options, that can be changed be the User in order to customise springlobby
 #----------------------------------------------------------------------------------------------------
-SET( OPTION_TRANSLATION_SUPPORT
-	TRUE CACHE BOOL
-	"Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" )
-SET( OPTION_NOTIFY
-	TRUE CACHE BOOL
-	"Enables libnotify support for popup status messages (requires libnotify)" )
-SET( BUILD_SHARED_LIBS
-	FALSE CACHE BOOL
-	"Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." )
+option( OPTION_TRANSLATION_SUPPORT "Enables translation support to the programs and adds facilities for helping translators (requires GNU Gettext)" TRUE)
+option( OPTION_NOTIFY "Enables libnotify support for popup status messages (requires libnotify)" TRUE)
+option( BUILD_SHARED_LIBS "Chooses whether to link dynamic or static libraries. Recommend keeping this activated unless you know what you're doing." FALSE)
 
 SET(SPRINGLOBBY_REV "${SPRINGLOBBY_REV}")
-SET(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
+if (WIN32)
+	SET(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/locale")
+else()
+	SET(LOCALE_INSTALL_DIR "${CMAKE_INSTALL_PREFIX}/share/locale")
+endif()
 
 IF( AUX_VERSION )
 	ADD_DEFINITIONS( -DAUX_VERSION="${AUX_VERSION}" )
@@ -94,7 +93,7 @@
 INCLUDE(cmake/package_config.cmake)
 IF(WIN32)
 	install(FILES AUTHORS COPYING README THANKS NEWS DESTINATION .)
-	install(DIRECTORY ${CMAKE_INSTALL_PREFIX}/locale DESTINATION .)
+	install(DIRECTORY ${LOCALE_INSTALL_DIR} DESTINATION .)
 ELSE (WIN32)
 	install(FILES AUTHORS COPYING README THANKS NEWS DESTINATION ${CMAKE_INSTALL_PREFIX}/share/doc/springlobby )
 	install(FILES src/images/springlobby.svg DESTINATION
