=== src/CMakeLists.txt ===
--- 
+++ 
@@ -298,15 +298,16 @@
 add_subdirectory(downloader)
 add_subdirectory(utils)
 
-set(LSLSERVER ON CACHE BOOL "disable lsl-server build" FORCE)
 if(NOT EXISTS "${CMAKE_CURRENT_SOURCE_DIR}/lsl/CMakeLists.txt")
 	MESSAGE(FATAL_ERROR "lsl/CMakeLists.txt doesn't exist, please run \ngit submodule update --init")
-else()
-	add_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
-	Add_Subdirectory(lsl)
-	INCLUDE_DIRECTORIES(lsl/src)
-	remove_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
-endif()
+endif()
+set(LSLSERVER OFF CACHE BOOL "build lsl server" FORCE)
+
+add_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
+Add_Subdirectory(lsl)
+INCLUDE_DIRECTORIES(lsl/src)
+remove_definitions(-DHAVE_WX -DHAVE_SPRINGLOBBY)
+
 add_subdirectory(springsettings)
 add_subdirectory(sound)
 add_subdirectory(json)
@@ -340,7 +341,10 @@
 	)
 	install(TARGETS springlobby RUNTIME DESTINATION .)
 ELSE (WIN32)
-	install(TARGETS springlobby RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )
+	install(TARGETS springlobby 
+		RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin 
+		BUNDLE DESTINATION  ${CMAKE_INSTALL_PREFIX}/bin
+		)
 ENDIF (WIN32)
 
 TARGET_LINK_LIBRARIES(springlobby lsl-utils lsl-unitsync pr-downloader_static json springlobbyversion libsettings slcommon
