=== debian/changelog ===
springlobby (0.210-2) unstable; urgency=medium

  * Upload to unstable.

 -- Markus Koschany <apo@gambaru.de>  Thu, 12 Feb 2015 17:43:43 +0100

springlobby (0.210-1) experimental; urgency=medium

  * Imported Upstream version 0.210.
  * Update copyright years.

 -- Markus Koschany <apo@gambaru.de>  Fri, 06 Feb 2015 21:40:10 +0100
